/*

Duschgelhalter

Derived from iPhone Ablage am Bett (iPhone Ablage am Bett v5)

DRUCK MICH IN *FLUORESZIEREND* GRÜN!

*/

include <../../../Modules/Module_Rounded_Cube.scad>;

//$fn=23;
$fn=50;

gHenkelBreite=8+1; /* Innenmaß, also Dicke des Glases, Rahmens oder sowas */
gMS=2.4;
gBreite=100; /* Innenmaß */
gFachTiefe=42;
gFachBreite=42;

rotate([90, 0, 0])
dingens();

module dingens()
{
    /* Henkel */
    if (1)
    translate([-((gHenkelBreite+gMS)/2), 0, 0])
    difference()
    {
        translate([0, 0, 23/2])
        cube([gHenkelBreite+gMS, gBreite+2*gMS, 23], center=true);

        #translate([gMS*0.5, 0, 23/2+gMS])
        cube([gHenkelBreite, gBreite+2*gMS, 23], center=true);
    }

    /* Fach */
    if (1)
    translate([+gFachBreite/2+gMS, 0, 0])
    difference()
    {
        if (0)
        translate([0, 0, gFachTiefe/2])
        cube([gFachBreite+2*gMS, gBreite+2*gMS, gFachTiefe], center=true);
        
        if (1)
        translate([0, 0, gFachTiefe/2-0*gMS*1])
        roundedCubeWithCornerDiameter(gFachBreite+2*gMS, gBreite+2*gMS, gFachTiefe, 0, 23, 0, 23);

       
        if (0) /* Quadratischer Platz fürs Device */
        translate([0, 0, gFachTiefe/2-gMS])
        cube([gFachBreite, gBreite+0*2*gMS, gFachTiefe-gMS], center=true);

        if (1) /* Rounded Corners -> better printable w/o support */
        translate([0, 0, gFachTiefe/2-gMS*1])
		roundedCube(gFachBreite, gBreite+0*2*gMS, gFachTiefe-gMS, 23);


       // #translate([gMS, 0, 23/2+gMS])
       // cube([gHenkelBreite, gBreite+2*gMS, 23], center=true);
		
		/* Wasserablauf */
//		for (i=[0, -10, 10])
		for (i=[0, 8, -8, 16, -16])
		#translate([i, 0, gFachTiefe])
		rotate([90, 90, 0])
		//roundedCube(23, gMS, gBreite-23, 23);
		cube([23, 5, gBreite-23+14], center=true);

    }
}



















